libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Classes | Namespaces
ipc_unixsocket.h File Reference

IPC mechanism based on Unix sockets. More...

`#include <stdint.h>`
`#include <sys/types.h>`
`#include <vector>`
`#include <libcamera/base/signal.h>`
`#include <libcamera/base/unique_fd.h>`
Include dependency graph for ipc_unixsocket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::IPCUnixSocket
| IPC mechanism based on Unix sockets. More...
struct | libcamera::IPCUnixSocket::Payload
| Container for an IPC payload. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

IPC mechanism based on Unix sockets.